<?php
/**
 * @file
 * mogul_podcast.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function mogul_podcast_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'mogul_podcast_favorites';
  $view->description = 'Provides a tab on all user\'s profile pages containing favortie podcasts for that user.';
  $view->tag = 'mogul, podcast';
  $view->base_table = 'node';
  $view->human_name = 'Mogul: Podcast (Favorites)';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Favorite Podcasts';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '6';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Relationship: Flags: mogul_podcast_favorites */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'mogul_podcast_favorites';
  /* Field: Content: Podcast Episode Artwork */
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['id'] = 'field_mogul_podcast_artwork';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['table'] = 'field_data_field_mogul_podcast_artwork';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['field'] = 'field_mogul_podcast_artwork';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['settings'] = array(
    'image_style' => '',
    'image_link' => '',
  );
  /* Field: Content: Podcast File */
  $handler->display->display_options['fields']['field_mogul_podcast_file']['id'] = 'field_mogul_podcast_file';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['table'] = 'field_data_field_mogul_podcast_file';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['field'] = 'field_mogul_podcast_file';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_podcast_file']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['type'] = 'mediafront_player';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['settings'] = array(
    'preset' => 'mogul_video_grid_small',
  );
  $handler->display->display_options['fields']['field_mogul_podcast_file']['delta_limit'] = '1';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['delta_offset'] = '0';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Flags: Flag link */
  $handler->display->display_options['fields']['ops']['id'] = 'ops';
  $handler->display->display_options['fields']['ops']['table'] = 'flag_content';
  $handler->display->display_options['fields']['ops']['field'] = 'ops';
  $handler->display->display_options['fields']['ops']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['fields']['ops']['label'] = '';
  $handler->display->display_options['fields']['ops']['element_label_colon'] = FALSE;
  /* Field: Content: Rating */
  $handler->display->display_options['fields']['field_mogul_podcast_5star']['id'] = 'field_mogul_podcast_5star';
  $handler->display->display_options['fields']['field_mogul_podcast_5star']['table'] = 'field_data_field_mogul_podcast_5star';
  $handler->display->display_options['fields']['field_mogul_podcast_5star']['field'] = 'field_mogul_podcast_5star';
  $handler->display->display_options['fields']['field_mogul_podcast_5star']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_podcast_5star']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_podcast_5star']['click_sort_column'] = 'rating';
  $handler->display->display_options['fields']['field_mogul_podcast_5star']['settings'] = array(
    'widget' => array(
      'fivestar_widget' => 'sites/all/modules/fivestar/widgets/oxygen/oxygen.css',
    ),
    'expose' => 1,
    'style' => 'average',
    'text' => 'none',
  );
  /* Sort criterion: Content: Sticky */
  $handler->display->display_options['sorts']['sticky']['id'] = 'sticky';
  $handler->display->display_options['sorts']['sticky']['table'] = 'node';
  $handler->display->display_options['sorts']['sticky']['field'] = 'sticky';
  $handler->display->display_options['sorts']['sticky']['order'] = 'DESC';
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Contextual filter: Flags: User uid */
  $handler->display->display_options['arguments']['uid']['id'] = 'uid';
  $handler->display->display_options['arguments']['uid']['table'] = 'flag_content';
  $handler->display->display_options['arguments']['uid']['field'] = 'uid';
  $handler->display->display_options['arguments']['uid']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['arguments']['uid']['default_action'] = 'empty';
  $handler->display->display_options['arguments']['uid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['uid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['uid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['uid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['uid']['specify_validation'] = TRUE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'mogul_podcast' => 'mogul_podcast',
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['path'] = 'user/%/favorite-podcasts';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Favorite Podcasts';
  $handler->display->display_options['menu']['description'] = 'View favorite podcasts.';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['context'] = 0;
  $export['mogul_podcast_favorites'] = $view;

  $view = new view();
  $view->name = 'mogul_podcast_featured';
  $view->description = 'Displays a large video player and playlist in a block for the Podcast content type.';
  $view->tag = 'mogul, podcast';
  $view->base_table = 'node';
  $view->human_name = 'Mogul: Podcast (Featured Player)';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Featured Podcasts';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['style_plugin'] = 'mediaplayer';
  $handler->display->display_options['style_options']['mediafront_preset'] = 'mogul_video_featured';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Content: Podcast Episode Artwork */
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['id'] = 'field_mogul_podcast_artwork';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['table'] = 'field_data_field_mogul_podcast_artwork';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['field'] = 'field_mogul_podcast_artwork';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['settings'] = array(
    'image_style' => '',
    'image_link' => '',
  );
  /* Field: Content: Podcast File */
  $handler->display->display_options['fields']['field_mogul_podcast_file']['id'] = 'field_mogul_podcast_file';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['table'] = 'field_data_field_mogul_podcast_file';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['field'] = 'field_mogul_podcast_file';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['settings'] = array(
    'preset' => 'mogul_podcast_featured',
  );
  $handler->display->display_options['fields']['field_mogul_podcast_file']['delta_limit'] = '1';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['delta_offset'] = '0';
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'mogul_podcast' => 'mogul_podcast',
  );

  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $export['mogul_podcast_featured'] = $view;

  $view = new view();
  $view->name = 'mogul_podcast_grid_large';
  $view->description = 'A grid display of all the podcast artwork with a single large player in the header for the podcast content type.';
  $view->tag = 'mogul, podcast';
  $view->base_table = 'node';
  $view->human_name = 'Mogul: Podcast (Grid Large Player)';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Podcast Grid Large';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '15';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Header: Global: MediaFront Player */
  $handler->display->display_options['header']['mediafront_player']['id'] = 'mediafront_player';
  $handler->display->display_options['header']['mediafront_player']['table'] = 'views';
  $handler->display->display_options['header']['mediafront_player']['field'] = 'mediafront_player';
  $handler->display->display_options['header']['mediafront_player']['mediafront_preset'] = 'mogul_podcast_grid_large';
  /* Relationship: Flags: mogul_podcast_favorites */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'mogul_podcast_favorites';
  /* Field: Content: Podcast Episode Artwork */
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['id'] = 'field_mogul_podcast_artwork';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['table'] = 'field_data_field_mogul_podcast_artwork';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['field'] = 'field_mogul_podcast_artwork';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['settings'] = array(
    'image_style' => 'mogul_podcast_grid_large_playlist',
    'image_link' => '',
  );
  /* Field: Content: Podcast File */
  $handler->display->display_options['fields']['field_mogul_podcast_file']['id'] = 'field_mogul_podcast_file';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['table'] = 'field_data_field_mogul_podcast_file';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['field'] = 'field_mogul_podcast_file';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_mogul_podcast_file']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_podcast_file']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['settings'] = array(
    'preset' => 'mogul_podcast_grid_large',
  );
  $handler->display->display_options['fields']['field_mogul_podcast_file']['delta_limit'] = '1';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['delta_offset'] = '0';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Flags: Flag link */
  $handler->display->display_options['fields']['ops']['id'] = 'ops';
  $handler->display->display_options['fields']['ops']['table'] = 'flag_content';
  $handler->display->display_options['fields']['ops']['field'] = 'ops';
  $handler->display->display_options['fields']['ops']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['fields']['ops']['label'] = '';
  $handler->display->display_options['fields']['ops']['element_label_colon'] = FALSE;
  /* Field: Content: Rating */
  $handler->display->display_options['fields']['field_mogul_podcast_5star']['id'] = 'field_mogul_podcast_5star';
  $handler->display->display_options['fields']['field_mogul_podcast_5star']['table'] = 'field_data_field_mogul_podcast_5star';
  $handler->display->display_options['fields']['field_mogul_podcast_5star']['field'] = 'field_mogul_podcast_5star';
  $handler->display->display_options['fields']['field_mogul_podcast_5star']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_podcast_5star']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_podcast_5star']['click_sort_column'] = 'rating';
  $handler->display->display_options['fields']['field_mogul_podcast_5star']['settings'] = array(
    'widget' => array(
      'fivestar_widget' => 'sites/all/modules/fivestar/widgets/oxygen/oxygen.css',
    ),
    'expose' => 1,
    'style' => 'average',
    'text' => 'none',
  );
  /* Sort criterion: Content: Sticky */
  $handler->display->display_options['sorts']['sticky']['id'] = 'sticky';
  $handler->display->display_options['sorts']['sticky']['table'] = 'node';
  $handler->display->display_options['sorts']['sticky']['field'] = 'sticky';
  $handler->display->display_options['sorts']['sticky']['order'] = 'DESC';
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'mogul_podcast' => 'mogul_podcast',
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['path'] = 'podcast/grid/large';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Podcast Grid Large';
  $handler->display->display_options['menu']['description'] = 'Listen to our podcasts.';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'main-menu';
  $handler->display->display_options['menu']['context'] = 0;
  $export['mogul_podcast_grid_large'] = $view;

  $view = new view();
  $view->name = 'mogul_podcast_grid_small';
  $view->description = 'A grid display of small players for each item in the view for the Podcast content type.';
  $view->tag = 'mogul, podcast';
  $view->base_table = 'node';
  $view->human_name = 'Mogul: Podcast (Grid Small Players)';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Podcast Grid Small';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '6';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Relationship: Flags: mogul_podcast_favorites */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'mogul_podcast_favorites';
  /* Field: Content: Podcast Episode Artwork */
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['id'] = 'field_mogul_podcast_artwork';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['table'] = 'field_data_field_mogul_podcast_artwork';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['field'] = 'field_mogul_podcast_artwork';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['settings'] = array(
    'image_style' => '',
    'image_link' => '',
  );
  /* Field: Content: Podcast File */
  $handler->display->display_options['fields']['field_mogul_podcast_file']['id'] = 'field_mogul_podcast_file';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['table'] = 'field_data_field_mogul_podcast_file';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['field'] = 'field_mogul_podcast_file';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_podcast_file']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['type'] = 'mediafront_player';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['settings'] = array(
    'preset' => 'mogul_video_grid_small',
  );
  $handler->display->display_options['fields']['field_mogul_podcast_file']['delta_limit'] = '1';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['delta_offset'] = '0';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Flags: Flag link */
  $handler->display->display_options['fields']['ops']['id'] = 'ops';
  $handler->display->display_options['fields']['ops']['table'] = 'flag_content';
  $handler->display->display_options['fields']['ops']['field'] = 'ops';
  $handler->display->display_options['fields']['ops']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['fields']['ops']['label'] = '';
  $handler->display->display_options['fields']['ops']['element_label_colon'] = FALSE;
  /* Field: Content: Rating */
  $handler->display->display_options['fields']['field_mogul_podcast_5star']['id'] = 'field_mogul_podcast_5star';
  $handler->display->display_options['fields']['field_mogul_podcast_5star']['table'] = 'field_data_field_mogul_podcast_5star';
  $handler->display->display_options['fields']['field_mogul_podcast_5star']['field'] = 'field_mogul_podcast_5star';
  $handler->display->display_options['fields']['field_mogul_podcast_5star']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_podcast_5star']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_podcast_5star']['click_sort_column'] = 'rating';
  $handler->display->display_options['fields']['field_mogul_podcast_5star']['settings'] = array(
    'widget' => array(
      'fivestar_widget' => 'sites/all/modules/fivestar/widgets/oxygen/oxygen.css',
    ),
    'expose' => 1,
    'style' => 'average',
    'text' => 'none',
  );
  /* Sort criterion: Content: Sticky */
  $handler->display->display_options['sorts']['sticky']['id'] = 'sticky';
  $handler->display->display_options['sorts']['sticky']['table'] = 'node';
  $handler->display->display_options['sorts']['sticky']['field'] = 'sticky';
  $handler->display->display_options['sorts']['sticky']['order'] = 'DESC';
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'mogul_podcast' => 'mogul_podcast',
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['path'] = 'podcast/grid/small';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Podcast Grid Small';
  $handler->display->display_options['menu']['description'] = 'Listen to our podcasts.';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'main-menu';
  $handler->display->display_options['menu']['context'] = 0;
  $export['mogul_podcast_grid_small'] = $view;

  $view = new view();
  $view->name = 'mogul_podcast_itunes';
  $view->description = 'Creates a iTunes compatible feed.';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = 'Mogul Podcast (iTunes Feed)';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'GoUpstate.com News Headlines';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Relationship: Content: Author */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'node';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'core:title';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = TRUE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Content: Path */
  $handler->display->display_options['fields']['path']['id'] = 'path';
  $handler->display->display_options['fields']['path']['table'] = 'node';
  $handler->display->display_options['fields']['path']['field'] = 'path';
  $handler->display->display_options['fields']['path']['label'] = 'core:link';
  $handler->display->display_options['fields']['path']['absolute'] = TRUE;
  /* Field: Content: Body */
  $handler->display->display_options['fields']['body']['id'] = 'body';
  $handler->display->display_options['fields']['body']['table'] = 'field_data_body';
  $handler->display->display_options['fields']['body']['field'] = 'body';
  $handler->display->display_options['fields']['body']['label'] = 'core:description';
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  $handler->display->display_options['fields']['mail']['relationship'] = 'uid';
  $handler->display->display_options['fields']['mail']['label'] = 'core:author';
  $handler->display->display_options['fields']['mail']['link_to_user'] = '0';
  $handler->display->display_options['fields']['mail']['rss_format'] = 'with_name';
  /* Field: Content: Podcast Keywords */
  $handler->display->display_options['fields']['field_mogul_podcast_keywords']['id'] = 'field_mogul_podcast_keywords';
  $handler->display->display_options['fields']['field_mogul_podcast_keywords']['table'] = 'field_data_field_mogul_podcast_keywords';
  $handler->display->display_options['fields']['field_mogul_podcast_keywords']['field'] = 'field_mogul_podcast_keywords';
  $handler->display->display_options['fields']['field_mogul_podcast_keywords']['label'] = 'core:category';
  $handler->display->display_options['fields']['field_mogul_podcast_keywords']['type'] = 'taxonomy_term_reference_rss_category';
  $handler->display->display_options['fields']['field_mogul_podcast_keywords']['delta_offset'] = '0';
  /* Field: Content: Path */
  $handler->display->display_options['fields']['path_1']['id'] = 'path_1';
  $handler->display->display_options['fields']['path_1']['table'] = 'node';
  $handler->display->display_options['fields']['path_1']['field'] = 'path';
  $handler->display->display_options['fields']['path_1']['label'] = 'core:comments';
  $handler->display->display_options['fields']['path_1']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['path_1']['alter']['text'] = '[path_1]#comments';
  $handler->display->display_options['fields']['path_1']['absolute'] = TRUE;
  /* Field: Content: Podcast File */
  $handler->display->display_options['fields']['field_mogul_podcast_file']['id'] = 'field_mogul_podcast_file';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['table'] = 'field_data_field_mogul_podcast_file';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['field'] = 'field_mogul_podcast_file';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['label'] = 'core:enclosure';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['type'] = 'enclosure_file';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['delta_limit'] = '1';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['delta_offset'] = '0';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['delta_reversed'] = TRUE;
  $handler->display->display_options['fields']['field_mogul_podcast_file']['separator'] = '';
  /* Field: Content: Path */
  $handler->display->display_options['fields']['path_2']['id'] = 'path_2';
  $handler->display->display_options['fields']['path_2']['table'] = 'node';
  $handler->display->display_options['fields']['path_2']['field'] = 'path';
  $handler->display->display_options['fields']['path_2']['label'] = 'core:guid';
  $handler->display->display_options['fields']['path_2']['absolute'] = TRUE;
  /* Field: Content: Post date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'node';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['label'] = 'core:pubDate';
  $handler->display->display_options['fields']['created']['date_format'] = 'custom';
  $handler->display->display_options['fields']['created']['custom_date_format'] = 'r';
  /* Field: Content: Closed Captioned */
  $handler->display->display_options['fields']['field_mogul_podcast_cc']['id'] = 'field_mogul_podcast_cc';
  $handler->display->display_options['fields']['field_mogul_podcast_cc']['table'] = 'field_data_field_mogul_podcast_cc';
  $handler->display->display_options['fields']['field_mogul_podcast_cc']['field'] = 'field_mogul_podcast_cc';
  $handler->display->display_options['fields']['field_mogul_podcast_cc']['label'] = 'itunes:isClosedCaptioned';
  $handler->display->display_options['fields']['field_mogul_podcast_cc']['type'] = 'list_key';
  /* Field: Content: Explicit Material */
  $handler->display->display_options['fields']['field_mogul_podcast_explicit']['id'] = 'field_mogul_podcast_explicit';
  $handler->display->display_options['fields']['field_mogul_podcast_explicit']['table'] = 'field_data_field_mogul_podcast_explicit';
  $handler->display->display_options['fields']['field_mogul_podcast_explicit']['field'] = 'field_mogul_podcast_explicit';
  $handler->display->display_options['fields']['field_mogul_podcast_explicit']['label'] = 'itunes:explicit';
  $handler->display->display_options['fields']['field_mogul_podcast_explicit']['type'] = 'list_key';
  /* Field: Content: iTunes Order */
  $handler->display->display_options['fields']['field_mogul_podcast_itunes_order']['id'] = 'field_mogul_podcast_itunes_order';
  $handler->display->display_options['fields']['field_mogul_podcast_itunes_order']['table'] = 'field_data_field_mogul_podcast_itunes_order';
  $handler->display->display_options['fields']['field_mogul_podcast_itunes_order']['field'] = 'field_mogul_podcast_itunes_order';
  $handler->display->display_options['fields']['field_mogul_podcast_itunes_order']['label'] = 'itunes:order';
  $handler->display->display_options['fields']['field_mogul_podcast_itunes_order']['type'] = 'list_key';
  /* Field: Content: Podcast Episode Artwork */
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['id'] = 'field_mogul_podcast_artwork';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['table'] = 'field_data_field_mogul_podcast_artwork';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['field'] = 'field_mogul_podcast_artwork';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['label'] = 'itunes:image';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['type'] = 'itunes:image';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['settings'] = array(
    'image_style' => 'mogul_podcast_itunes',
  );
  /* Field: Content: Block Podcast */
  $handler->display->display_options['fields']['field_mogul_podcast_block']['id'] = 'field_mogul_podcast_block';
  $handler->display->display_options['fields']['field_mogul_podcast_block']['table'] = 'field_data_field_mogul_podcast_block';
  $handler->display->display_options['fields']['field_mogul_podcast_block']['field'] = 'field_mogul_podcast_block';
  $handler->display->display_options['fields']['field_mogul_podcast_block']['label'] = 'itunes:block';
  $handler->display->display_options['fields']['field_mogul_podcast_block']['type'] = 'list_key';
  /* Field: Content: Body */
  $handler->display->display_options['fields']['body_1']['id'] = 'body_1';
  $handler->display->display_options['fields']['body_1']['table'] = 'field_data_body';
  $handler->display->display_options['fields']['body_1']['field'] = 'body';
  $handler->display->display_options['fields']['body_1']['label'] = 'tunes:subtitle';
  $handler->display->display_options['fields']['body_1']['alter']['strip_tags'] = TRUE;
  $handler->display->display_options['fields']['body_1']['type'] = 'text_summary_or_trimmed';
  $handler->display->display_options['fields']['body_1']['settings'] = array(
    'trim_length' => '200',
  );
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'mogul_podcast' => 'mogul_podcast',
  );

  /* Display: Feed */
  $handler = $view->new_display('feed', 'Feed', 'feed_1');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['style_plugin'] = 'rss_fields';
  $handler->display->display_options['style_options']['channel'] = array(
    'core' => array(
      'views_rss_core' => array(
        'description' => 'The latest news from GoUpstate.com, a Spartanburg Herald-Journal Web site.',
        'language' => 'en',
        'category' => 'News, Newspapers, Regional',
        'image' => 'sites/all/modules/mogul/modules/mogul_podcast/images/sample-image-core-channel-artwork.jpg',
        'copyright' => 'Copyright 2002, Spartanburg Herald-Journal',
        'managingEditor' => 'geo@herald.com (George Matesky)',
        'webMaster' => 'betty@herald.com (Betty Guernsey)',
        'generator' => 'Drupal',
        'docs' => 'http://www.rssboard.org/rss-specification',
        'cloud' => '',
        'ttl' => '',
        'skipHours' => '0, 1, 2, 16, 23',
        'skipDays' => 'Saturday, Sunday',
      ),
    ),
    'itunes' => array(
      'views_rss_itunes' => array(
        'subtitle' => 'A show about everything.',
        'summary' => 'All About Everything is a show about everything. Each week we dive into any subject known to man and talk about it as much as we can. Look for our Podcast in the iTunes Store.',
        'category' => array(
          23 => '23',
          26 => '26',
          29 => '29',
        ),
        'keywords' => 'technology, gadgets, TV & film',
        'image' => 'sites/all/modules/mogul/modules/mogul_podcast/images/sample-image-itunes-channel-artwork.jpg',
        'author' => 'Spartanburg Herald-Journal',
        'explicit' => 'no',
        'block' => 'no',
        'complete' => 'no',
        'new-feed-url' => '',
        'owner' => 'john.doe@example.com, John Doe',
      ),
    ),
  );
  $handler->display->display_options['style_options']['item'] = array(
    'core' => array(
      'views_rss_core' => array(
        'title' => 'title',
        'link' => 'path',
        'description' => 'body',
        'author' => 'mail',
        'category' => 'field_mogul_podcast_keywords',
        'comments' => 'path_1',
        'enclosure' => 'field_mogul_podcast_file',
        'guid' => 'path_2',
        'pubDate' => 'created',
      ),
    ),
    'itunes' => array(
      'views_rss_itunes' => array(
        'subtitle' => 'body_1',
        'summary' => 'body',
        'duration' => 'field_mogul_podcast_file',
        'keywords' => 'field_mogul_podcast_keywords',
        'image' => 'field_mogul_podcast_artwork',
        'author' => 'mail',
        'isClosedCaptioned' => 'field_mogul_podcast_cc',
        'explicit' => 'field_mogul_podcast_explicit',
        'block' => 'field_mogul_podcast_block',
        'order' => 'field_mogul_podcast_itunes_order',
      ),
    ),
  );
  $handler->display->display_options['style_options']['feed_settings'] = array(
    'absolute_paths' => 1,
    'feed_in_links' => 0,
  );
  $handler->display->display_options['path'] = 'podcast/itunes/feed';
  $handler->display->display_options['sitename_title'] = 0;
  $export['mogul_podcast_itunes'] = $view;

  $view = new view();
  $view->name = 'mogul_podcast_player_2_player';
  $view->description = 'A separated video player block and playlist block that connect to eachother for the Video content type.';
  $view->tag = 'mogul, video';
  $view->base_table = 'node';
  $view->human_name = 'Mogul: Podcast (Player 2 Player)';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Player';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'mediaplayer';
  $handler->display->display_options['style_options']['mediafront_preset'] = 'mogul_podcast_player_2_player_player';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Content: Podcast Episode Artwork */
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['id'] = 'field_mogul_podcast_artwork';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['table'] = 'field_data_field_mogul_podcast_artwork';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['field'] = 'field_mogul_podcast_artwork';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_podcast_artwork']['settings'] = array(
    'image_style' => '',
    'image_link' => '',
  );
  /* Field: Content: Podcast File */
  $handler->display->display_options['fields']['field_mogul_podcast_file']['id'] = 'field_mogul_podcast_file';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['table'] = 'field_data_field_mogul_podcast_file';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['field'] = 'field_mogul_podcast_file';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_mogul_podcast_file']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_podcast_file']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['settings'] = array(
    'preset' => 'mogul_podcast_player_2_player_player',
  );
  $handler->display->display_options['fields']['field_mogul_podcast_file']['delta_limit'] = '1';
  $handler->display->display_options['fields']['field_mogul_podcast_file']['delta_offset'] = '0';
  /* Sort criterion: Content: Sticky */
  $handler->display->display_options['sorts']['sticky']['id'] = 'sticky';
  $handler->display->display_options['sorts']['sticky']['table'] = 'node';
  $handler->display->display_options['sorts']['sticky']['field'] = 'sticky';
  $handler->display->display_options['sorts']['sticky']['order'] = 'DESC';
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'mogul_podcast' => 'mogul_podcast',
  );

  /* Display: Player */
  $handler = $view->new_display('block', 'Player', 'block_1');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;

  /* Display: Playlist */
  $handler = $view->new_display('block', 'Playlist', 'block_2');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Playlist';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'mediaplayer';
  $handler->display->display_options['style_options']['mediafront_preset'] = 'mogul_podcast_player_2_player_playlist';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $export['mogul_podcast_player_2_player'] = $view;

  return $export;
}
