<?php
/**
 * @file
 * mogul_video.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function mogul_video_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'mogul_video_favorites';
  $view->description = 'Provides a tab on all user\'s profile pages containing favortie videos for that user.';
  $view->tag = 'mogul, video';
  $view->base_table = 'node';
  $view->human_name = 'Mogul: Video (Favorites)';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Favorite Videos';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '6';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Relationship: Flags: mogul_video_favorites */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'mogul_video_favorites';
  /* Field: Content: Video Image */
  $handler->display->display_options['fields']['field_mogul_video_image']['id'] = 'field_mogul_video_image';
  $handler->display->display_options['fields']['field_mogul_video_image']['table'] = 'field_data_field_mogul_video_image';
  $handler->display->display_options['fields']['field_mogul_video_image']['field'] = 'field_mogul_video_image';
  $handler->display->display_options['fields']['field_mogul_video_image']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_mogul_video_image']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_video_image']['settings'] = array(
    'image_style' => '',
    'image_link' => '',
  );
  /* Field: Content: Option 1: Video File */
  $handler->display->display_options['fields']['field_mogul_video_file']['id'] = 'field_mogul_video_file';
  $handler->display->display_options['fields']['field_mogul_video_file']['table'] = 'field_data_field_mogul_video_file';
  $handler->display->display_options['fields']['field_mogul_video_file']['field'] = 'field_mogul_video_file';
  $handler->display->display_options['fields']['field_mogul_video_file']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_video_file']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_video_file']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_video_file']['type'] = 'mediafront_player';
  $handler->display->display_options['fields']['field_mogul_video_file']['settings'] = array(
    'preset' => 'mogul_video_grid_small',
  );
  $handler->display->display_options['fields']['field_mogul_video_file']['delta_offset'] = '0';
  /* Field: Content: Option 2: Video Embed URL */
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['id'] = 'field_mogul_video_embed_url';
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['table'] = 'field_data_field_mogul_video_embed_url';
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['field'] = 'field_mogul_video_embed_url';
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['settings'] = array(
    'preset' => 'mogul_video_grid_small',
  );
  /* Field: Content: Option 3: Video Remote File */
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['id'] = 'field_mogul_video_remote_file';
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['table'] = 'field_data_field_mogul_video_remote_file';
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['field'] = 'field_mogul_video_remote_file';
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['settings'] = array(
    'preset' => 'mogul_video_grid_small',
  );
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['delta_offset'] = '0';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Flags: Flag link */
  $handler->display->display_options['fields']['ops']['id'] = 'ops';
  $handler->display->display_options['fields']['ops']['table'] = 'flag_content';
  $handler->display->display_options['fields']['ops']['field'] = 'ops';
  $handler->display->display_options['fields']['ops']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['fields']['ops']['label'] = '';
  $handler->display->display_options['fields']['ops']['element_label_colon'] = FALSE;
  /* Field: Content: Rating */
  $handler->display->display_options['fields']['field_mogul_video_5star']['id'] = 'field_mogul_video_5star';
  $handler->display->display_options['fields']['field_mogul_video_5star']['table'] = 'field_data_field_mogul_video_5star';
  $handler->display->display_options['fields']['field_mogul_video_5star']['field'] = 'field_mogul_video_5star';
  $handler->display->display_options['fields']['field_mogul_video_5star']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_video_5star']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_video_5star']['click_sort_column'] = 'rating';
  $handler->display->display_options['fields']['field_mogul_video_5star']['settings'] = array(
    'widget' => array(
      'fivestar_widget' => 'sites/all/modules/fivestar/widgets/oxygen/oxygen.css',
    ),
    'expose' => 1,
    'style' => 'average',
    'text' => 'none',
  );
  /* Sort criterion: Content: Sticky */
  $handler->display->display_options['sorts']['sticky']['id'] = 'sticky';
  $handler->display->display_options['sorts']['sticky']['table'] = 'node';
  $handler->display->display_options['sorts']['sticky']['field'] = 'sticky';
  $handler->display->display_options['sorts']['sticky']['order'] = 'DESC';
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Contextual filter: Flags: User uid */
  $handler->display->display_options['arguments']['uid']['id'] = 'uid';
  $handler->display->display_options['arguments']['uid']['table'] = 'flag_content';
  $handler->display->display_options['arguments']['uid']['field'] = 'uid';
  $handler->display->display_options['arguments']['uid']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['arguments']['uid']['default_action'] = 'empty';
  $handler->display->display_options['arguments']['uid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['uid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['uid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['uid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['uid']['specify_validation'] = TRUE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'mogul_video' => 'mogul_video',
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['path'] = 'user/%/favorite-videos';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Favorite Videos';
  $handler->display->display_options['menu']['description'] = 'View favorite videos.';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['context'] = 0;
  $export['mogul_video_favorites'] = $view;

  $view = new view();
  $view->name = 'mogul_video_featured';
  $view->description = 'Displays a large video player and playlist in a block for the video content type.';
  $view->tag = 'mogul, video';
  $view->base_table = 'node';
  $view->human_name = 'Mogul: Video (Featured Player)';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Featured Videos';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['style_plugin'] = 'mediaplayer';
  $handler->display->display_options['style_options']['mediafront_preset'] = 'mogul_video_featured';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Content: Video Image */
  $handler->display->display_options['fields']['field_mogul_video_image']['id'] = 'field_mogul_video_image';
  $handler->display->display_options['fields']['field_mogul_video_image']['table'] = 'field_data_field_mogul_video_image';
  $handler->display->display_options['fields']['field_mogul_video_image']['field'] = 'field_mogul_video_image';
  $handler->display->display_options['fields']['field_mogul_video_image']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_video_image']['settings'] = array(
    'image_style' => '',
    'image_link' => '',
  );
  /* Field: Content: Option 1: Video File */
  $handler->display->display_options['fields']['field_mogul_video_file']['id'] = 'field_mogul_video_file';
  $handler->display->display_options['fields']['field_mogul_video_file']['table'] = 'field_data_field_mogul_video_file';
  $handler->display->display_options['fields']['field_mogul_video_file']['field'] = 'field_mogul_video_file';
  $handler->display->display_options['fields']['field_mogul_video_file']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_video_file']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_video_file']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_video_file']['settings'] = array(
    'preset' => 'mogul_audio_node',
  );
  $handler->display->display_options['fields']['field_mogul_video_file']['delta_offset'] = '0';
  /* Field: Content: Option 2: Video Embed URL */
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['id'] = 'field_mogul_video_embed_url';
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['table'] = 'field_data_field_mogul_video_embed_url';
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['field'] = 'field_mogul_video_embed_url';
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['element_label_colon'] = FALSE;
  /* Field: Content: Option 3: Video Remote File */
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['id'] = 'field_mogul_video_remote_file';
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['table'] = 'field_data_field_mogul_video_remote_file';
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['field'] = 'field_mogul_video_remote_file';
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['delta_offset'] = '0';
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'mogul_video' => 'mogul_video',
  );

  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $export['mogul_video_featured'] = $view;

  $view = new view();
  $view->name = 'mogul_video_grid_large';
  $view->description = 'A grid display of all the video images with a single large video player in the header for the Video content type.';
  $view->tag = 'mogul, video';
  $view->base_table = 'node';
  $view->human_name = 'Mogul: Video (Grid Large Player)';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Video Grid Large';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '15';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Header: Global: MediaFront Player */
  $handler->display->display_options['header']['mediafront_player']['id'] = 'mediafront_player';
  $handler->display->display_options['header']['mediafront_player']['table'] = 'views';
  $handler->display->display_options['header']['mediafront_player']['field'] = 'mediafront_player';
  $handler->display->display_options['header']['mediafront_player']['mediafront_preset'] = 'mogul_video_grid_large';
  /* Relationship: Flags: mogul_video_favorites */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'mogul_video_favorites';
  /* Field: Content: Video Image */
  $handler->display->display_options['fields']['field_mogul_video_image']['id'] = 'field_mogul_video_image';
  $handler->display->display_options['fields']['field_mogul_video_image']['table'] = 'field_data_field_mogul_video_image';
  $handler->display->display_options['fields']['field_mogul_video_image']['field'] = 'field_mogul_video_image';
  $handler->display->display_options['fields']['field_mogul_video_image']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_video_image']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_video_image']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_video_image']['settings'] = array(
    'image_style' => 'mogul_video_grid_large_playlist',
    'image_link' => '',
  );
  /* Field: Content: Option 1: Video File */
  $handler->display->display_options['fields']['field_mogul_video_file']['id'] = 'field_mogul_video_file';
  $handler->display->display_options['fields']['field_mogul_video_file']['table'] = 'field_data_field_mogul_video_file';
  $handler->display->display_options['fields']['field_mogul_video_file']['field'] = 'field_mogul_video_file';
  $handler->display->display_options['fields']['field_mogul_video_file']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_video_file']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_mogul_video_file']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_video_file']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_video_file']['settings'] = array(
    'preset' => 'mogul_video_node',
  );
  $handler->display->display_options['fields']['field_mogul_video_file']['delta_offset'] = '0';
  /* Field: Content: Option 2: Video Embed URL */
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['id'] = 'field_mogul_video_embed_url';
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['table'] = 'field_data_field_mogul_video_embed_url';
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['field'] = 'field_mogul_video_embed_url';
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['element_label_colon'] = FALSE;
  /* Field: Content: Option 3: Video Remote File */
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['id'] = 'field_mogul_video_remote_file';
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['table'] = 'field_data_field_mogul_video_remote_file';
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['field'] = 'field_mogul_video_remote_file';
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['delta_offset'] = '0';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Flags: Flag link */
  $handler->display->display_options['fields']['ops']['id'] = 'ops';
  $handler->display->display_options['fields']['ops']['table'] = 'flag_content';
  $handler->display->display_options['fields']['ops']['field'] = 'ops';
  $handler->display->display_options['fields']['ops']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['fields']['ops']['label'] = '';
  $handler->display->display_options['fields']['ops']['element_label_colon'] = FALSE;
  /* Field: Content: Rating */
  $handler->display->display_options['fields']['field_mogul_video_5star']['id'] = 'field_mogul_video_5star';
  $handler->display->display_options['fields']['field_mogul_video_5star']['table'] = 'field_data_field_mogul_video_5star';
  $handler->display->display_options['fields']['field_mogul_video_5star']['field'] = 'field_mogul_video_5star';
  $handler->display->display_options['fields']['field_mogul_video_5star']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_video_5star']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_video_5star']['click_sort_column'] = 'rating';
  $handler->display->display_options['fields']['field_mogul_video_5star']['settings'] = array(
    'widget' => array(
      'fivestar_widget' => 'sites/all/modules/fivestar/widgets/oxygen/oxygen.css',
    ),
    'expose' => 1,
    'style' => 'average',
    'text' => 'none',
  );
  /* Sort criterion: Content: Sticky */
  $handler->display->display_options['sorts']['sticky']['id'] = 'sticky';
  $handler->display->display_options['sorts']['sticky']['table'] = 'node';
  $handler->display->display_options['sorts']['sticky']['field'] = 'sticky';
  $handler->display->display_options['sorts']['sticky']['order'] = 'DESC';
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'mogul_video' => 'mogul_video',
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['path'] = 'video/grid/large';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Video Grid Large';
  $handler->display->display_options['menu']['description'] = 'Watch our videos.';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'main-menu';
  $handler->display->display_options['menu']['context'] = 0;
  $export['mogul_video_grid_large'] = $view;

  $view = new view();
  $view->name = 'mogul_video_grid_small';
  $view->description = 'A grid display of small video players for each item in the view for the Video content type.';
  $view->tag = 'mogul, video';
  $view->base_table = 'node';
  $view->human_name = 'Mogul: Video (Grid Small Players)';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Video Grid Small';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '6';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Relationship: Flags: mogul_video_favorites */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'mogul_video_favorites';
  /* Field: Content: Video Image */
  $handler->display->display_options['fields']['field_mogul_video_image']['id'] = 'field_mogul_video_image';
  $handler->display->display_options['fields']['field_mogul_video_image']['table'] = 'field_data_field_mogul_video_image';
  $handler->display->display_options['fields']['field_mogul_video_image']['field'] = 'field_mogul_video_image';
  $handler->display->display_options['fields']['field_mogul_video_image']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_mogul_video_image']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_video_image']['settings'] = array(
    'image_style' => '',
    'image_link' => '',
  );
  /* Field: Content: Option 1: Video File */
  $handler->display->display_options['fields']['field_mogul_video_file']['id'] = 'field_mogul_video_file';
  $handler->display->display_options['fields']['field_mogul_video_file']['table'] = 'field_data_field_mogul_video_file';
  $handler->display->display_options['fields']['field_mogul_video_file']['field'] = 'field_mogul_video_file';
  $handler->display->display_options['fields']['field_mogul_video_file']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_video_file']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_video_file']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_video_file']['type'] = 'mediafront_player';
  $handler->display->display_options['fields']['field_mogul_video_file']['settings'] = array(
    'preset' => 'mogul_video_grid_small',
  );
  $handler->display->display_options['fields']['field_mogul_video_file']['delta_offset'] = '0';
  /* Field: Content: Option 2: Video Embed URL */
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['id'] = 'field_mogul_video_embed_url';
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['table'] = 'field_data_field_mogul_video_embed_url';
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['field'] = 'field_mogul_video_embed_url';
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['settings'] = array(
    'preset' => 'mogul_video_grid_small',
  );
  /* Field: Content: Option 3: Video Remote File */
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['id'] = 'field_mogul_video_remote_file';
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['table'] = 'field_data_field_mogul_video_remote_file';
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['field'] = 'field_mogul_video_remote_file';
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['settings'] = array(
    'preset' => 'mogul_video_grid_small',
  );
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['delta_offset'] = '0';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Flags: Flag link */
  $handler->display->display_options['fields']['ops']['id'] = 'ops';
  $handler->display->display_options['fields']['ops']['table'] = 'flag_content';
  $handler->display->display_options['fields']['ops']['field'] = 'ops';
  $handler->display->display_options['fields']['ops']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['fields']['ops']['label'] = '';
  $handler->display->display_options['fields']['ops']['element_label_colon'] = FALSE;
  /* Field: Content: Rating */
  $handler->display->display_options['fields']['field_mogul_video_5star']['id'] = 'field_mogul_video_5star';
  $handler->display->display_options['fields']['field_mogul_video_5star']['table'] = 'field_data_field_mogul_video_5star';
  $handler->display->display_options['fields']['field_mogul_video_5star']['field'] = 'field_mogul_video_5star';
  $handler->display->display_options['fields']['field_mogul_video_5star']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_video_5star']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_video_5star']['click_sort_column'] = 'rating';
  $handler->display->display_options['fields']['field_mogul_video_5star']['settings'] = array(
    'widget' => array(
      'fivestar_widget' => 'sites/all/modules/fivestar/widgets/oxygen/oxygen.css',
    ),
    'expose' => 1,
    'style' => 'average',
    'text' => 'none',
  );
  /* Sort criterion: Content: Sticky */
  $handler->display->display_options['sorts']['sticky']['id'] = 'sticky';
  $handler->display->display_options['sorts']['sticky']['table'] = 'node';
  $handler->display->display_options['sorts']['sticky']['field'] = 'sticky';
  $handler->display->display_options['sorts']['sticky']['order'] = 'DESC';
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'mogul_video' => 'mogul_video',
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['path'] = 'video/grid/small';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Video Grid Small';
  $handler->display->display_options['menu']['description'] = 'Watch our videos.';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'main-menu';
  $handler->display->display_options['menu']['context'] = 0;
  $export['mogul_video_grid_small'] = $view;

  $view = new view();
  $view->name = 'mogul_video_player_2_player';
  $view->description = 'A separated video player block and playlist block that connect to eachother for the Video content type.';
  $view->tag = 'mogul, video';
  $view->base_table = 'node';
  $view->human_name = 'Mogul: Video (Player 2 Player)';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Player';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'mediaplayer';
  $handler->display->display_options['style_options']['mediafront_preset'] = 'mogul_video_player_2_player_player';
  /* Field: Content: Video Image */
  $handler->display->display_options['fields']['field_mogul_video_image']['id'] = 'field_mogul_video_image';
  $handler->display->display_options['fields']['field_mogul_video_image']['table'] = 'field_data_field_mogul_video_image';
  $handler->display->display_options['fields']['field_mogul_video_image']['field'] = 'field_mogul_video_image';
  $handler->display->display_options['fields']['field_mogul_video_image']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_video_image']['settings'] = array(
    'image_style' => '',
    'image_link' => '',
  );
  /* Field: Content: Option 1: Video File */
  $handler->display->display_options['fields']['field_mogul_video_file']['id'] = 'field_mogul_video_file';
  $handler->display->display_options['fields']['field_mogul_video_file']['table'] = 'field_data_field_mogul_video_file';
  $handler->display->display_options['fields']['field_mogul_video_file']['field'] = 'field_mogul_video_file';
  $handler->display->display_options['fields']['field_mogul_video_file']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_video_file']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_mogul_video_file']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_video_file']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_video_file']['settings'] = array(
    'preset' => 'mogul_video_node',
  );
  $handler->display->display_options['fields']['field_mogul_video_file']['delta_offset'] = '0';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Sort criterion: Content: Sticky */
  $handler->display->display_options['sorts']['sticky']['id'] = 'sticky';
  $handler->display->display_options['sorts']['sticky']['table'] = 'node';
  $handler->display->display_options['sorts']['sticky']['field'] = 'sticky';
  $handler->display->display_options['sorts']['sticky']['order'] = 'DESC';
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'mogul_video' => 'mogul_video',
  );

  /* Display: Player */
  $handler = $view->new_display('block', 'Player', 'block_1');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Content: Video Image */
  $handler->display->display_options['fields']['field_mogul_video_image']['id'] = 'field_mogul_video_image';
  $handler->display->display_options['fields']['field_mogul_video_image']['table'] = 'field_data_field_mogul_video_image';
  $handler->display->display_options['fields']['field_mogul_video_image']['field'] = 'field_mogul_video_image';
  $handler->display->display_options['fields']['field_mogul_video_image']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_video_image']['settings'] = array(
    'image_style' => '',
    'image_link' => '',
  );
  /* Field: Content: Option 1: Video File */
  $handler->display->display_options['fields']['field_mogul_video_file']['id'] = 'field_mogul_video_file';
  $handler->display->display_options['fields']['field_mogul_video_file']['table'] = 'field_data_field_mogul_video_file';
  $handler->display->display_options['fields']['field_mogul_video_file']['field'] = 'field_mogul_video_file';
  $handler->display->display_options['fields']['field_mogul_video_file']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_video_file']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_mogul_video_file']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_video_file']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_video_file']['settings'] = array(
    'preset' => 'mogul_video_node',
  );
  $handler->display->display_options['fields']['field_mogul_video_file']['delta_offset'] = '0';
  /* Field: Content: Option 2: Video Embed URL */
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['id'] = 'field_mogul_video_embed_url';
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['table'] = 'field_data_field_mogul_video_embed_url';
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['field'] = 'field_mogul_video_embed_url';
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['element_label_colon'] = FALSE;
  /* Field: Content: Option 3: Video Remote File */
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['id'] = 'field_mogul_video_remote_file';
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['table'] = 'field_data_field_mogul_video_remote_file';
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['field'] = 'field_mogul_video_remote_file';
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['delta_offset'] = '0';

  /* Display: Playlist */
  $handler = $view->new_display('block', 'Playlist', 'block_2');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Playlist';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'mediaplayer';
  $handler->display->display_options['style_options']['mediafront_preset'] = 'mogul_video_player_2_player_playlist';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Content: Video Image */
  $handler->display->display_options['fields']['field_mogul_video_image']['id'] = 'field_mogul_video_image';
  $handler->display->display_options['fields']['field_mogul_video_image']['table'] = 'field_data_field_mogul_video_image';
  $handler->display->display_options['fields']['field_mogul_video_image']['field'] = 'field_mogul_video_image';
  $handler->display->display_options['fields']['field_mogul_video_image']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_video_image']['settings'] = array(
    'image_style' => '',
    'image_link' => '',
  );
  /* Field: Content: Option 1: Video File */
  $handler->display->display_options['fields']['field_mogul_video_file']['id'] = 'field_mogul_video_file';
  $handler->display->display_options['fields']['field_mogul_video_file']['table'] = 'field_data_field_mogul_video_file';
  $handler->display->display_options['fields']['field_mogul_video_file']['field'] = 'field_mogul_video_file';
  $handler->display->display_options['fields']['field_mogul_video_file']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_video_file']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_video_file']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_mogul_video_file']['settings'] = array(
    'preset' => 'mogul_video_node',
  );
  $handler->display->display_options['fields']['field_mogul_video_file']['delta_offset'] = '0';
  /* Field: Content: Option 2: Video Embed URL */
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['id'] = 'field_mogul_video_embed_url';
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['table'] = 'field_data_field_mogul_video_embed_url';
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['field'] = 'field_mogul_video_embed_url';
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_video_embed_url']['element_label_colon'] = FALSE;
  /* Field: Content: Option 3: Video Remote File */
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['id'] = 'field_mogul_video_remote_file';
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['table'] = 'field_data_field_mogul_video_remote_file';
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['field'] = 'field_mogul_video_remote_file';
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['label'] = '';
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_mogul_video_remote_file']['delta_offset'] = '0';
  $export['mogul_video_player_2_player'] = $view;

  return $export;
}
